#!/bin/sh
set -e

cd $(realpath $(dirname "${0}"))

# Install Alpine SDK
apk update
apk add alpine-sdk

# Prepare build toolchain
adduser root abuild
cp etc/abuild.conf /etc/abuild.conf
cp usr/bin/abuild /usr/bin/abuild
cp usr/bin/fix-apk /usr/bin/fix-apk
cp usr/bin/lxc-build /usr/bin/lxc-build
cp usr/bin/lxc-pack /usr/bin/lxc-pack
mkdir -p /srv/build/lxc

# Supply /srv/build/repokey.rsa
# Supply /srv/build/packages.key
